c
c=======================================================================
c  Include file "obserr.h"
c=======================================================================
#ifndef rmdocinc
c
c  OERRMAX  maximum value of the observation error for each variable.
c  OERRMIN  minimum value of the observation error for each variable.
c  PBARERR  observation error field for transport streamfunction.
c  PSIOERR  observation error field for streamfunction/dynamic height.
c  PSIOSCL  error scale for streamfunction/dynamic height.
c  TOERR    observation error field for tracer variables.
c  TOSCL    error scale for tracer variables
c  UOERR    observation error field for zonal velocity.
c  UOSCL    error scale for zonal velocity.
# ifdef surfpress
c  UBAROERR observation error field for barotropic zonal velocity.
# endif
c  VOERR    observation error field for meridional velocity.
c  VOSCL    error scale for meridional velocity.
# ifdef surfpress
c  VBAROERR observation error field for barotropic meridional velocity.
# endif
c
c=======================================================================
#endif
c
      common /obserr/ toerr,toscl,psioerr,psioscl,pbaroerr,uoerr,uoscl,
     *                voerr,voscl,oerrmin,oerrmax
#ifdef surfpress
     *      ,ubaroerr,vbaroerr
      real oerrmax(mt+5,nz),oerrmin(mt+5,nz),pbaroerr(np),
#else
      real oerrmax(mt+3,nz),oerrmin(mt+3,nz),pbaroerr(np),
#endif
     *     psioerr(np,nz),psioscl(nz),toerr(np,nz,mt),toscl(nz,mt),
     *     uoerr(np,nz),uoscl(nz),voerr(np,nz),voscl(nz)
#ifdef surfpress
     *      ,ubaroerr(np),vbaroerr(np)
#endif
